;InnoSetupVersion=3.0.5

[Setup]
AppName=BackUp Maker
AppVerName=BackUp Maker v2.4
AppId=BackUp Maker
AppPublisher=ASCOMP Software
AppPublisherURL=http://www.backupmaker.com
AppSupportURL=http://www.backupmaker.com
AppUpdatesURL=http://www.backupmaker.com
DefaultDirName={pf}\BackUp Maker
DefaultGroupName=ASCOMP BackUp Maker
OutputBaseFilename=bkmaker
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\bkmaker.exe"; DestDir: "{app}"; Flags: restartreplace ignoreversion 
Source: "{app}\bkmaker.log"; DestDir: "{app}"; Flags: onlyifdoesntexist ignoreversion 
Source: "{app}\bkmaker.chm"; DestDir: "{app}"; 
Source: "{sys}\CDWriterXP.ocx"; DestDir: "{sys}"; Flags: regserver sharedfile 

[Registry]
Root: HKCR; Subkey: "Folder\shell\bkmaker"; ValueType: String; ValueData: "&Ordner sichern"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell\bkmaker\command"; ValueType: String; ValueData: "{app}\bkmaker.exe ""%1"""; 
Root: HKCU; Subkey: "Software\ASCOMP\BackUp Maker"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\bkmaker.exe"; Description: "BackUp Maker starten"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\BackUp Maker"; Filename: "{app}\bkmaker.exe"; WorkingDir: "{app}"; IconFilename: "{app}\bkmaker.exe"; Comment: "BackUp Maker starten"; 
Name: "{group}\Deinstallieren"; Filename: "{uninstallexe}"; Comment: "BackUp Maker entfernen"; 
Name: "{userdesktop}\BackUp Maker"; Filename: "{app}\bkmaker.exe"; WorkingDir: "{app}"; IconFilename: "{app}\bkmaker.exe"; Comment: "BackUp Maker starten"; Tasks: desktopicon; 
Name: "{commonstartup}\BackUp Maker"; Filename: "{app}\bkmaker.exe"; WorkingDir: "{commonstartup}"; IconFilename: "{app}\bkmaker.exe"; Comment: "BackUp Maker starten"; 
Name: "{group}\Produktseite"; Filename: "http://www.backupmaker.com"; Comment: "Produktseite laden"; 

[Tasks]
Name: "desktopicon"; Description: "&Desktop-Verknpfung erstellen"; GroupDescription: "Zustzliche Verknpfungen:"; 

[UninstallDelete]
Type: dirifempty; Name: "{app}\"; 
